• Welcome to Simple Machines Community Forum. Please login or sign up.

Version Emulate

Started by SMF Customization Team, September 06, 2009, 05:01:28 AM

Previous topic - Next topic

SMF Customization Team

September 06, 2009, 05:01:28 AM Last Edit: October 21, 2011, 09:30:05 AM by Illori
Link to Mod

Version Emulate



Original Author: Arantor | Current Author: SMF Customization Team

Supported Languages: English

Link To Mod | Mod Discussion | Other SMF Customization Team Mods


Summary:
Many mods will in fact work on versions other than those listed - without modification, but require coaxing to do so with a little trick called 'version_emulate', that essentially tells the package manager to pretend to be another version of SMF for the purposes of testing for installation.

This mod adds an option to 1.1 that allows you to input another version that will help with installation. It will not guarantee that it will work, simply that the version check will be passable. Some mods require changes to be compatible with a different version.

NB Similar functionality is already in 2.0, though it's a free-format text box there.

Compatibility:
Compatible with SMF 1.1

Installation Information:
The Package Manager should work in most cases, if you have problems installing please use the discussion thread as well as Manual Installation of Mods

License:
Copyright (c) 2015, Simple Machines
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright
      notice, this list of conditions and the following disclaimer in the
      documentation and/or other materials provided with the distribution.
    * Neither the name of the <organization> nor the
      names of its contributors may be used to endorse or promote products
      derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


Change Log:
1.4 - October 12, 2011
Mod options place in package browser
1.3 - September 28, 2011
Fixed a problem in PackageGet.php
1.2 - September 22, 2011
Added support up to SMF 1.1.15
1.1 - February 10, 2009
Added 1.1.12 support
Updated language support
1.0 - September 06, 2009
Initial release

MaXiForum.cz


w1z8it

Nice :D Would be cool if those using this could list which mods they have had success with this without further modifications, I'll certainly post my findings.

Cheers.

Sabre™

September 06, 2009, 09:05:51 PM #3 Last Edit: September 06, 2009, 09:13:41 PM by Sabre™
Would this also work to uninstall mods that noloanger have the [uninstall] button?
It most certainly is a good idea mate :)

EDIT:
Never mind mate, I read its function incorrect :D
Cheers
Do NOT give admin and/or ftp details to just anybody, see if they are trust worthy first!!  Do your homework ;)


Arantor

In answer to your question, yes it should do if the mod had uninstall for earlier versions than the current release.
No good deed goes unpunished
All helpful urges should be circumvented

Sabre™

Yep, I made the failed assumption that if I put it back to smf 1.1.2, then they all would be ok, not taking into consideration that the packages install.xml may not go back that far for all of them
*smacks head

Thanks mate, another very useful mod :)
Do NOT give admin and/or ftp details to just anybody, see if they are trust worthy first!!  Do your homework ;)


~DS~

"There is no god, and that's the simple truth. If every trace of any single religion were wiped out and nothing were passed on, it would never be created exactly that way again. There might be some other nonsense in its place, but not that exact nonsense. If all of science were wiped out, it would still be true and someone would find a way to figure it all out again."
~Penn Jillette – God, NO! – 2011

Arantor

Quote from: Dismal Shadow on December 28, 2009, 12:43:09 AM
Any update for 2.0 RC2?

Read the mod page. Similar function is BUILT INTO 2.0.
No good deed goes unpunished
All helpful urges should be circumvented

~DS~

ah thanks. Guess I overlooked it.
"There is no god, and that's the simple truth. If every trace of any single religion were wiped out and nothing were passed on, it would never be created exactly that way again. There might be some other nonsense in its place, but not that exact nonsense. If all of science were wiped out, it would still be true and someone would find a way to figure it all out again."
~Penn Jillette – God, NO! – 2011

Bugo

Russian text:

$txt['versionToEmulate'] = 'Эмуляция версии SMF';

Arantor

Thanks for the translation. I'd like to hope the SMF Customization Team updates it, because I can't at this time do so.
No good deed goes unpunished
All helpful urges should be circumvented

Cal O'Shaw

Hello,

Just did a quick running of the Parse option on the MOD page and noted that in getPackages.php the list of versions does not include 1.1.11, as it does in the other arrays of versions to emulate in the MOD.

Did that get missed or is it supposed to be that way?

Cal

Arantor

I probably missed it last time I updated the mod.
No good deed goes unpunished
All helpful urges should be circumvented

thesicilian

I installed this mod today to try and add a mod, but still couldn't install this particular mod. I was trying to add http://custom.simplemachines.org/mods/index.php?mod=1211

I've un-installed the emulator but it left the drop down behind, see attached screenshot.

I'm also now having problem installing a couple of mods that are defo compatible with 1.1.11. Such as search_focus_dropdown http://custom.simplemachines.org/mods/index.php?mod=1634 and Additional Home Page Title | S-Ace http://custom.simplemachines.org/mods/index.php?mod=2154

I had no problems installing mods prior to using the version emulator. Before I uninstalled I set back to 1.1.11. I think it might have left something behind.

Arantor

Did you "uninstall" or "delete" the mod?
No good deed goes unpunished
All helpful urges should be circumvented

thesicilian

Uninstall, then deleted the files after. I since tried re-install and uninstall, but still the drop down remains.

Arantor

Weird.

Follow the steps outlined in Manual Installation of Mods - but in reverse - to see the code in question that needs to be removed.

* Arantor would point out this worked flawlessly for him when he tested it while coding it...
No good deed goes unpunished
All helpful urges should be circumvented

thesicilian

I've looked in install11.xml, it mentions the following files: -

ManageServer.php
Subs-Package.php
Packages.php
PackageGet.php

I'm assuming they are the four files that need checking/editing?

I've looked in ManageServer.php and it looks like there is defo remants of the install in there. Now I'm concerend about messing with files myself. Would it be possible to attached the to be checked out please?

Arantor

Sure you can. Whether I get time to look them over is another matter (I wrote the mod originally)...
No good deed goes unpunished
All helpful urges should be circumvented

thesicilian

It would very much appreciated if you can please.

I'm really lost when it comes editing code. Took me ages setting the forums up & members are joining, last thing I want to do is break it.

I'm assuming its only those four files?

Your help would be very much appreciated.

I'm assuming that drop down isn't there as standard?

Advertisement: